using System.Text.Json.Serialization;
using SqlSugar;

namespace WmsMobileServe.DataBase.Base.Po;

/// <summary>
/// 采购订单表
/// </summary>
[SugarTable("CUX_WMS_PO_LINES_ITF_ZH")]
public class CuxWmsPoLinesItf
{
    /// <summary>
    /// 订单头主键
    /// </summary>
    [SugarColumn(ColumnName = "PO_HEADER_ID")]
    [JsonPropertyName("poHeaderId")]
    public int? PoHeaderId { get; set; }

    /// <summary>
    /// 订单行主键
    /// </summary>
    [SugarColumn(ColumnName = "PO_LINE_ID")]
    [JsonPropertyName("poLineId")]
    public int? PoLineId { get; set; }

    /// <summary>
    /// 发运行主键
    /// </summary>
    [SugarColumn(ColumnName = "LINE_LOCATION_ID")]
    [JsonPropertyName("lineLocationId")]
    public int? LineLocationId { get; set; }

    /// <summary>
    /// 收货组织代码
    /// </summary>
    [SugarColumn(ColumnName = "SHIP_TO_ORGANIZATION_CODE")]
    [JsonPropertyName("shipToOrganization")]
    public string? ShipToOrganization {  get; set;
    
    
    }

    /// <summary>
    /// 订单行号
    /// </summary>
    [SugarColumn(ColumnName = "LINE_NUM")]
    [JsonPropertyName("lineNum")]
    public int? LineNum { get; set; }

    /// <summary>
    /// 物料ID
    /// </summary>
    [SugarColumn(ColumnName = "ITEM_ID")]
    [JsonPropertyName("itemId")]
    public long? ItemId { get; set; }

    /// <summary>
    /// 订单行
    /// </summary>
    [SugarColumn(ColumnName = "SEGMENT1")]
    [JsonPropertyName("segment1")]
    public string? Segment1 { get; set; }

    /// <summary>
    /// 物料描述
    /// </summary>
    [SugarColumn(ColumnName = "ITEM_DESCRIPTION")]
    [JsonPropertyName("itemDesc")]
    public string? ItemDesc { get; set; }

    /// <summary>
    /// 采购单位
    /// </summary>
    [SugarColumn(ColumnName = "PUR_UOM_CODE")]
    [JsonPropertyName("purUomCode")]
    public string? PurUomCode {  get; set; }

    /// <summary>
    /// 库存单位
    /// </summary>
    [SugarColumn(ColumnName = "INV_UOM_CODE")]
    [JsonPropertyName("invUomCode")]
    public string? InvUomCode { get; set; }

    /// <summary>
    /// 单位转换率
    /// </summary>
    [SugarColumn(ColumnName = "CONVERSION_RATE")]
    [JsonPropertyName("conversionRate")]
    public int? ConversionRate { get; set; }

    /// <summary>
    /// 型号 测试架用
    /// </summary>
    [SugarColumn(ColumnName = "ITEM_TYPE")]
    [JsonPropertyName("itemType")]
    public string? ItemType { get; set; }

    /// <summary>
    /// 发运行号
    /// </summary>
    [SugarColumn(ColumnName = "SHIPMENT_NUM")]
    [JsonPropertyName("shipmentNum")]
    public int? ShipmentNum { get; set; }

    /// <summary>
    /// 发运行接收人附注
    /// </summary>
    [SugarColumn(ColumnName = "NOTE_TO_RECEIVER")]
    [JsonPropertyName("noteToReceicer")]
    public string? NoteToReceicer { get; set; }

    /// <summary>
    /// 分配ID
    /// </summary>
    [SugarColumn(ColumnName = "PO_DISTRIBUTION_ID")]
    [JsonPropertyName("poDistributionId")]
    public int? PoDistributionId { get; set; }

    /// <summary>
    /// 分配行号
    /// </summary>
    [SugarColumn(ColumnName = "DISTRIBUTION_NUM")]
    [JsonPropertyName("disTributionNum")]
    public int? DisTributionNum { get; set; }

    /// <summary>
    /// 数量
    /// </summary>
    [SugarColumn(ColumnName = "QUANTITY")]
    [JsonPropertyName("quantity")]
    public int? Quantity { get; set; }

    /// <summary>
    /// 已接收数量
    /// </summary>
    [SugarColumn(ColumnName = "QUANTITY_RECEIVED")]
    [JsonPropertyName("quantityReceives")]
    public int? QuantityReceives { get; set; }

    /// <summary>
    /// 取消数量
    /// </summary>
    [SugarColumn(ColumnName = "QUANTITY_CANCELLED")]
    [JsonPropertyName("quantityCancelled")]
    public int? QuantityCancelled { get; set; }

    ///// <summary>
    ///// 承诺日期
    ///// </summary>
    //[SugarColumn(ColumnName = "PROMISED_DATE")]
    //[JsonPropertyName("promisdeDate")]
    //public DateTime? PromisdeDate { get; set; }

    ///// <summary>
    ///// 需要日期
    ///// </summary>
    //[SugarColumn(ColumnName = "NEED_BY_DATE")]
    //[JsonPropertyName("needByDate")]
    //public DateTime? NeedByDate { get; set; }

    /// <summary>
    /// 关闭模式
    /// </summary>
    [SugarColumn(ColumnName = "CLOSED_CODE")]
    [JsonPropertyName("closedCode")]
    public string? ClosedCode { get; set; }

    /// <summary>
    /// 最后更新日期
    /// </summary>
    [SugarColumn(ColumnName = "LAST_UPDATE_DATE")]
    [JsonPropertyName("lastUpdateDate")]
    public DateTime? LastUpdateDate { get; set; }

    /// <summary>
    /// 最后更新人
    /// </summary>
    [SugarColumn(ColumnName = "LAST_UPDATED_BY")]
    [JsonPropertyName("lastUpdatedBy")]
    public int? LastUpdatedBy { get; set; }

    /// <summary>
    /// 状态(1:未处理;2:错误;3:成功)
    /// </summary>
    [SugarColumn(ColumnName = "STATUS")]
    [JsonPropertyName("status")]
    public int? Status { get; set; }







}
